/*---------------------------------------------------------*/
/*  Program umoliwia:                                     */
/*    1. Wczytanie aktualnego rozmiaru wektora liczb cak. */
/*    2. Wczytanie elementw wektora liczb cakowitych;    */
/*    3. Okrelenie elementu maksymalnego oraz numeru      */
/*       tego elementu;                                    */
/*    4. Wywietlenie wartoci i numeru elementu maks.     */
/*---------------------------------------------------------*/
#include <iostream.h>
#include <conio.h>
const int n_Max = 50;            // max rozmiar tablicy
int X[n_Max];                    // definicja tanlicy
int n,				 // aktualny rozmiar tablicy
    El_Max,                      // element maksymalny
    Ind_Max;                     // indeks elementu maks.
/*---------------------------------------------------------*/

void Czyt_Dane(int &n, int X[])
/*---------------------------------------------------------*/
/*   Wczytanie rozmiaru i kolejnych elementw tablicy      */
/*---------------------------------------------------------*/
{ int i;
    cout << "Podaj rozmiar tablicy: ";
    cin >> n;
    cout << "\nPodaj kolejne elementy tablicy:\n";
    cout << endl;
    for (i = 0; i < n; i++)
      {
	cout << "X[";
	cout.width (2);
	cout << i << "] = ";
	cin >> X[i];
      }
}
/*---------------------------------------------------------*/

void Max_Element(int n, int X[], int &El_Max, int &Ind_Max)
/*---------------------------------------------------------*/
/*  Okrelenie elementu maksymalnego i jego indeksu        */
/*---------------------------------------------------------*/
{
  int i;
    El_Max = X[0];
    Ind_Max = 0;
    for (i = 1; i < n; i++)
      {
	if (El_Max < X[i])
	  {
	    El_Max = X[i];
	    Ind_Max = i;
	  }
       }
}


void Pisz_Wynik (int El_Max, int Ind_Max)
/*----------------------------------------------------------*/
/*  Wywietlenie wartoci i kolejnego numeru elementu maks. */
/*----------------------------------------------------------*/
{
  cout << "\nElement o wartoci maksymalnej: " << El_Max;
  cout << "\nNumer elementu maksymalnego: " << (Ind_Max + 1);
  cout << endl;
}

/*--------------------------------------------------------*/


void main ()			// blok gwny
{
  clrscr ();
  Czyt_Dane (n, X);
  Max_Element (n, X, El_Max, Ind_Max);
  Pisz_Wynik (El_Max, Ind_Max);
}                              // koniec bloku gwnego
