/*---------------------------------------------------------*/
/*  Program umoliwia:                                     */
/*    1. Wczytanie aktualnego rozmiaru tablicy liczb cak. */
/*    2. Wczytanie elementw tablicy liczb cakowitych;    */
/*    3. Zamian miejscami elementw tablicy lecych      */
/*       po przeciwnej stronie prostej pionowej dzielcej  */
/*       tablic na dwie rwne czci.                     */
/*    4. Wywietlenie wartoci i numeru elementu maks.     */
/*---------------------------------------------------------*/
#include <iostream.h>
#include <conio.h>
const int n_Max = 10;            // max liczba wierszy tablicy
const int m_Max = 10;            // max liczba kolumn tablicy
int A[n_Max][m_Max];             // definicja tablicy
int n,				 // aktualna liczba wierszy
    m;				 // aktualna liczba kolumn

void Czyt_Dane(int &n, int &m, int A[][m_Max]);
void Przestawienie(int n, int m,  int A[][m_Max]);
void Pisz_Wynik (int n, int m, int A[][m_Max]);
/*---------------------------------------------------------*/
void main ()			// blok gwny
{
  clrscr ();
  Czyt_Dane (n,m, A);
  Przestawienie(n, m, A);
  Pisz_Wynik (n, m, A);
  getch();
}                              // koniec bloku gwnego

void Czyt_Dane(int &n, int &m, int A[][m_Max])
/*---------------------------------------------------------*/
/*   Wczytanie rozmiaru i kolejnych elementw tablicy      */
/*---------------------------------------------------------*/
{ int i, j, x,a, y;
    cout << "Podaj liczb wierszy: ";
    cin >> n;
    cout << "Podaj liczb kolumn: ";
    cin >> m;
    cout << "\nPodaj kolejne elementy tablicy:\n";
    cout << endl;
    x = wherex ();
    y = wherey ();
    for (i = 0; i < n; i++)
      {
	for (j = 0; j < m; j++)
	  {
	    gotoxy ( x+j*6, y);
	    cin >> A[i][j];
	  }
	y++;
      }
}
/*---------------------------------------------------------*/

void Przestawienie(int n, int m,  int A[][m_Max])
/*---------------------------------------------------------*/
/*  Zamiana miejscami elementw tablicy lecych po        */
/*  przeciwnych stronach prostej pionowej dzielcej        */
/*  tablic na dwie rwne czci                           */
/*---------------------------------------------------------*/
{
  int i,j, pom;

    for (i = 0; i < n; i++)
      for (j = 0; j < m/2; j++)
	  {
	   pom = A[i][j];
	   A[i][j] = A[i][m-j-1];
	   A[i][m-j-1] = pom;
	  }
}


void Pisz_Wynik (int n, int m, int A[][m_Max])
/*----------------------------------------------------------*/
/*  Wywietlenie tablicy wynikowej                          */
/*----------------------------------------------------------*/
{ int i, j, x, y;

    cout << endl;
    cout << "Tablica wynikowa:\n";
    cout << endl;
    x = wherex ();
    y = wherey ();
    for (i = 0; i < n; i++)
    {
      for (j = 0; j < m; j++)
	  {
	    gotoxy ( x+j*6, y);
	    cout << A[i][j];
	  }
       y++;
       cout << endl;
     }
}

/*--------------------------------------------------------*/


